Subject: Re: [PATCH] virtio_net: Give indication on device probe failure.

From: Sasha Levin <[email-masked]>
Date: Thu, 24 Nov 2011 11:24:13 +0200

On Thu, 2011-11-24 at 14:17 +0530, Krishna Kumar2 wrote:
> Sasha Levin <[email-masked]> wrote on 11/24/2011 02:05:22 PM:
> 
> > > Provide an indication when the virtio_net device fails to
> > > initialize.
> > >
> > > Signed-off-by: Krishna Kumar <[email-masked]>
> > > ---
> >
> > [snip]
> >
> > You already get a warning from the thingie that probes PCI:
> >
> > [    1.166311] virtio_net: probe of virtio1 failed with error -12
> 
> Ah, I created this patch based on your feedback:
> 
> > I would suggest adding some output if we take the failure path, since
> > while the guest does boot peacefully, it doesn't have a network
> > interface and there's nothing in the boot log to indicate anything has
> > gone wrong.
> 
> Is this probe error enough to find there was a problem,
> or do you think detailed error in all fail cases is
> required?
> 
> Thanks,
> 
> - KK
> 

Nope, I must have missed that error. Sorry about that.

More warnings there can be useful, but it's true for the probe function
of all other virtio drivers as well :)

-- 

Sasha.